datacache <- new.env(hash=TRUE, parent=emptyenv())

chigene10stggentrezg <- function() showQCData("chigene10stggentrezg", datacache)
chigene10stggentrezg_dbconn <- function() dbconn(datacache)
chigene10stggentrezg_dbfile <- function() dbfile(datacache)
chigene10stggentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
chigene10stggentrezg_dbInfo <- function() dbInfo(datacache)

chigene10stggentrezgORGANISM <- "Gallus gallus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "chigene10stggentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CHICKENCHIP_DB", "chigene10stggentrezg", "chip chigene10stggentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("chigene10stggentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(chigene10stggentrezg_dbconn())
}

